.gl-alert {
  @include gl-font-base;
  @include gl-relative;
  @include gl-px-8;
  @include gl-py-5;

  .gl-link:not(.gl-label-link) {
    @include gl-text-blue-600;
    @include gl-text-decoration-underline;

    &:hover {
      @include gl-text-blue-700;
    }
  }
}

.gl-alert-sticky {
  @include gl-sticky;
  @include gl-top-0;
}

.gl-alert-title {
  @include gl-font-base;
  @include gl-font-weight-bold;
  @include gl-line-height-normal;
  @include gl-mt-0;
  @include gl-mb-3;
}

.gl-alert-icon {
  @include gl-absolute;
  @include gl-top-5;
  @include gl-left-5;
  @include gl-w-5;
  @include gl-h-5;
  @include gl-fill-current-color;
}

.gl-alert-icon-no-title {
  @include gl-mt-1;
}

.gl-alert-body {
  @include gl-line-height-20;
}

.gl-alert-actions {
  @include gl-display-flex;
  @include gl-mt-5;
}

.gl-alert-action {
  @include gl-mr-3;
  @include gl-font-base;
  @include gl-line-height-normal;
}

.gl-alert-dismiss {
  @include gl-absolute;
  @include gl-top-0;
  @include gl-right-0;
  @include gl-p-5;
  @include gl-line-height-normal;
  @include gl-bg-none;
  @include gl-border-none;
  @include gl-text-gray-500;

  > svg {
    @include gl-fill-current-color;
    @include gl-w-5;
    @include gl-h-5;
    @include gl-vertical-align-middle;
  }
}

.gl-alert-max-content {
  @include gl-display-flex;
  @include gl-justify-content-center;
  @include gl-p-5;

  .gl-alert-icon {
    @include gl-static;
    @include gl-mr-5;
    @include gl-flex-shrink-0;
  }

  // Todo: Once the button is migrated to the gl-button it can be included as a flexbox item.

  /* .gl-alert-dismiss {
    @include gl-static;
    @include gl-align-self-start;
    @include gl-ml-5;
    order: 3;
  } */

  .gl-alert-container {
    @include gl-relative;
    @include gl-display-flex;
    @include gl-justify-content-space-between;
    @include gl-flex-grow-1;
    @include gl-layout-w-limited;
    @include gl-mx-auto;
  }

  .gl-alert-content {
    @include gl-flex-grow-1;
    // Todo: Padding can be removed once the dismiss button has been migrated to gl-button and is a flexbox item.
    @include gl-pr-9;
  }

  .gl-alert-dismiss {
    @include gl-top-n5;
  }
}

.gl-alert-danger {
  @include gl-bg-red-50;

  .gl-alert-icon {
    @include gl-text-red-600;
  }
}

.gl-alert-warning {
  @include gl-bg-orange-50;

  .gl-alert-icon {
    @include gl-text-orange-600;
  }
}

.gl-alert-tip {
  @include gl-bg-gray-50;

  .gl-alert-icon {
    @include gl-text-gray-600;
  }
}

.gl-alert-info {
  @include gl-bg-blue-50;

  .gl-alert-icon {
    @include gl-text-blue-600;
  }
}

.gl-alert-success {
  @include gl-bg-green-50;

  .gl-alert-icon {
    @include gl-text-green-600;
  }
}
